/*
 *  RapidMiner Image Mining Extension 
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package com.rapidminer.imagemining.featureextraction;

import com.rapidminer.imagemining.io.ImageObject;


/**
 * Convenience class for catching exceptions which refer to feature extraction processes.
 * 
 * @author Alexander Arimond
 */

public class FeatureExtractionException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3755489037864470110L;
	private ImageObject image;

	public FeatureExtractionException(Exception e) {
		super(e);
	}
	
	public FeatureExtractionException(Exception e, ImageObject image){
		super(e);
		this.image = image;
	}
	
	public ImageObject getImage(){
		return this.image;
	}

}
