/*
 *  RapidMiner Image Mining Extension 
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package com.rapidminer.imagemining.featureextraction.mpeg7;

import com.rapidminer.imagemining.featureextraction.Features;

/**
 * Descriptor for MPEG-7 Color Layout.
 * 
 * @author Alexander Arimond
 */

public class ColorLayoutDescriptor extends Features {

	public final int [] yCoeff;
	public final int [] cbCoeff;
	public final int [] crCoeff;
	
	public final int numYCoeff;
	public final int numCCoeff;
	
	public ColorLayoutDescriptor(int[] yCoeff, int[] cbCoeff, int[] crCoeff,
			int numberYCoeff, int numberCCoeff) {

		this.numYCoeff = numberYCoeff;
		this.numCCoeff = numberCCoeff;

		this.yCoeff = new int [numberYCoeff];
		this.cbCoeff = new int [numberCCoeff];
		this.crCoeff = new int [numberCCoeff];
		
        for (int i = 0; i < numberYCoeff; i++) {
        	this.yCoeff[i] = yCoeff[i];
        }
        for (int i = 0; i < numberCCoeff; i++) {
            this.cbCoeff[i] = cbCoeff[i];
            this.crCoeff[i] = crCoeff[i];
        }
	}
	
}
