/*
 *  RapidMiner Image Mining Extension 
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package com.rapidminer.imagemining.featureextraction.mpeg7;

import com.rapidminer.imagemining.featureextraction.Features;

/**
 * Descriptor for MPEG-7 Scalable Color feature.
 * 
 * @author Alexander Arimond
 */

public class ScalableColorDescriptor extends Features {

	public final int [] haarTransformedHistogram;
	
	public ScalableColorDescriptor(int [] haarTransformedHistogram, int numberCoeff){
		this.haarTransformedHistogram = new int [numberCoeff];
		for (int i=0; i < numberCoeff; i++){
			this.haarTransformedHistogram [i] = haarTransformedHistogram[i];
		}
	}
	
	
}
