/*
 *  RapidMiner Image Mining Extension 
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package com.rapidminer.imagemining.featureextraction.surf;


import java.io.Serializable;
import java.util.Iterator;
import java.util.LinkedList;

import com.rapidminer.imagemining.featureextraction.Feature;
import com.rapidminer.imagemining.featureextraction.Features;

/**
 * SURF feature representation.
 * 
 * @author Alexander Arimond
 */

public class SURFFeatures extends Features{

	/**
	 * default constructor
	 */
	public SURFFeatures(){
		this.features = new LinkedList<SURFFeature>();
		this.setID("");
		this.setLabel("");
	}

	public class SURFFeature extends Feature implements Serializable{

		/**
		 * 
		 */
		private static final long serialVersionUID = 6831768124137888591L;

		public SURFFeature(double x, double y, double[] values){
			this.x = x;
			this.y = y;
			this.values = values;
		}
	}
	
	LinkedList <SURFFeature> features = new LinkedList<SURFFeature>();
	
	public void addFeature(double x, double y, double [] values){
		features.add(new SURFFeature(x, y, values));
	}
	
	public Iterator <SURFFeature> iterator(){
		return features.iterator();
	}
	
	public int getSize(){
		return features.size();
	}
}
